### Function

# Gcr SystemPrompt open_finish

#### Declaration [src]

    GcrPrompt*
    gcr_system_prompt_open_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete an operation to asynchronously open a system prompt.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GcrSystemPrompt`
| The prompt, or `NULL` if prompt could not be opened.
| The caller of the function takes ownership of the data, and is responsible for freeing it.